This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 486245 - holding keys down no longer results in repeated entries
holding keys down no longer results in repeated entries
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 19:25 EST by J Chapin
Modified: 2009-05-26 14:05 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 14:05:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 194190 None None None Never

  None (edit)
Description J Chapin 2009-02-18 19:25:36 EST
Description of problem:

Pressing a key and holding does not result in repeated entries of that key.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Press "a" key, and count to 10
2.
3.
  
Actual results:
 a

Expected results:
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa

Additional info:
Comment 1 Kevin Kofler 2009-02-18 19:36:28 EST
This is probably an evdev issue, not a KDE issue.
Comment 2 Rex Dieter 2009-02-18 19:39:18 EST
could look in system settings -> keyboard & mouse, to check to see if the "repeat
keys" option is enabled or not.
Comment 3 J Chapin 2009-02-18 22:45:20 EST
Kevin -- It worked just fine on a tty.

Rex, that seems to have been the problem. Now to fix that so it is enabled (the expected behavior) by default. Heck, it took three different people to even guess that one.
Comment 4 Kevin Kofler 2009-02-18 22:49:47 EST
Let's reassign it to kdebase-workspace for now.

Might this be a settings migration issue?
Comment 5 J Chapin 2009-02-18 23:16:14 EST
This was an upgrade from fedora8/kde3.5, however that was not set prior to this -- so if it is a migration issue, there is still a bug somewhere.
Comment 6 J Chapin 2009-02-21 20:10:36 EST
It does not appear to be upgrade related, as KDE is not saving the fact that I am enabing keyboard repeat. Everytime KDE restarts, I have to re-enable that.
Comment 7 J Chapin 2009-02-22 18:37:17 EST
It appears that "enable keyboard repeat" is simply not saying. Every time I open that system-settings dialog, the box is unchecked.

It also appears that 'up' 'down' and 'right' are still repeating... (sometimes) but left never seems to.
Comment 8 J Chapin 2009-03-02 02:31:44 EST
After re-enabling (again), now up and right repeat, down and left, do not. 

All attempted letters seem to repeat correctly.
Comment 9 Rex Dieter 2009-03-02 08:52:16 EST
curious, what video hw/driver is in use here?  We've had quite a few reports lately of odd keyboard-related irregularities (similiar as here) for users of recent nvidia drivers, for example.

Are these issues reproducible with a fresh user (ie, one with an initially empty ~/.kde)?
Comment 10 J Chapin 2009-03-02 09:11:45 EST
As per bug # 486234, I am unable to log in as a different user.

I am using the Intel 965GM chipset, with included video, and I am using the 'intel' driver that came by default.
Comment 11 Rex Dieter 2009-03-02 11:08:01 EST
There are much bigger issues going on here it would seem, so we may be losing the forest for the trees here.
Comment 12 J Chapin 2009-03-02 11:23:58 EST
Well, it would be nice to get working on the forest. If you have a better suggestion for tackling the problems, feel free to suggest them.

As I see it, much of the problem stems from Fedora 8 losing support and requiring an upgrade to maintain access to updated repos -- but Fedora 9 and 10 both have immature versions of KDE with multiple bugs.  Other than trying to address the bugs one at a time, and petitioning to get a stable, mature version of KDE back, I am out of ideas, and the latter seems to have a snowballs chance.
Comment 13 Kevin Kofler 2009-03-02 12:44:30 EST
I still think this issue is probably somehow related to the evdev migration. Maybe it's KDE not handling evdev correctly though.

One thing you can try: go to the keyboard settings in System Settings and make sure the keyboard type is set to "Evdev-managed keyboard".
Comment 14 J Chapin 2009-03-04 20:41:22 EST
I started system-settings, clicked 'Keyboard and Mouse"... and do not see anyplace to check keyboard type.
Comment 15 Kevin Kofler 2009-03-04 20:45:36 EST
Sorry, it's under "keyboard layouts" in the regional settings, not under "keyboard and mouse".

But the setting is there only if you have keyboard layouts enabled in KDE. If you have them disabled, it's grayed out, in that case it can't be that.
Comment 16 J Chapin 2009-03-04 20:50:36 EST
Grayed out.
Comment 17 Steven M. Parrish 2009-03-16 21:55:04 EDT
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 18 Steven M. Parrish 2009-04-27 14:37:58 EDT
Ping?
Comment 19 J Chapin 2009-04-27 14:51:14 EDT
Sorry, I have so many bugs reported that I have a hard time keeping them straight, and updated, especially with so many of them getting mistreated by the devs.  I will update this and link this to a bug report at their site, but we all know what is going to happen, so I am in no huge effort to waste the effort.
Comment 20 Steven M. Parrish 2009-05-26 14:05:45 EDT
Filed upstream.  Will monitor for resolution.

Note You need to log in before you can comment on or make changes to this bug.